## org.apache.myfaces.custom.panelstack
Class PanelStackTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.panelstack.PanelStackTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class PanelStackTag
extends UIComponentTagBase

PanelStack tag.

Version:
  $Revision: 215977 $ $Date: 2005-07-12 11:56:11 -0400 (Tue, 12 Jul 2005) $
Author:
  Oliver Rossmueller

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PanelStackTag()`

Method Summary
`int` `doStartTag()`
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`java.lang.String` `getSelectedPanel()`
`void` `release()`
`protected void` `setProperties(javax.faces.component.UIComponent component)` Applies attributes to the tree component
`void` `setSelectedPanel(java.lang.String selectedPanel)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelStackTag

    public PanelStackTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### getSelectedPanel

    public java.lang.String getSelectedPanel()

### setSelectedPanel

    public void setSelectedPanel(java.lang.String selectedPanel)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Applies attributes to the tree component

  Overrides:
    `setProperties` in class `UIComponentTagBase`